#include <16F873.h>
#include <PIC16F873A_registers_byte.h>
#include <PIC16F873A_registers_bit.h>
#device ADC=10
#use delay(clock=10000000)
#fuses HS, NOWDT
//#byte ADCON0 = 0x1F
//#byte ADRESL = 0x9E
int n;

#int_AD
AD_isr()
{
  //n = read_adc() / 102;
  //n=ADRESL
  output_c(ADRESL);
  //(2 << n - 1);
  ADCON0 |= 4;
}

void main()
{
  setup_adc_ports(ALL_ANALOG);
  setup_adc(ADC_CLOCK_DIV_32);
  enable_interrupts(INT_AD);
  enable_interrupts(global);
  set_adc_channel(0);
  ADCON0 |= 4;
  while(1);
}
